Last Comment Bug 542946 - [SeaMonkey 2.1] mochitest-browser-chrome: "browser_bug524365.js:60 - TypeError: tabState.disallow is undefined"
: [SeaMonkey 2.1] mochitest-browser-chrome: "browser_bug524365.js:60 - TypeErr...
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1a1
Assigned To: Misak Khachatryan
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on: 524365 528776
Blocks: SmTestFail CcMcBuildIssues
  Show dependency treegraph
 
Reported: 2010-01-28 20:33 PST by Serge Gautherie (:sgautherie)
Modified: 2012-03-29 02:18 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (1.66 KB, patch)
2010-02-24 22:35 PST, Misak Khachatryan
neil: review+
neil: superreview+
Details | Diff | Splinter Review
same as above, renamed test files as agreed (1.82 KB, patch)
2010-03-12 00:42 PST, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review
proper patch [Checkin: Comment 10] (2.33 KB, patch)
2010-03-12 03:35 PST, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-01-28 20:33:40 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1264733897.1264735493.11690.gz
Linux comm-central-trunk debug test mochitest-other on 2010/01/28 18:58:17
{
TEST-PASS | chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug524365.js | Everything is allowed per default
JavaScript strict warning: chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug524365.js, line 60: reference to undefined property tabState.disallow
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug524365.js | Exception thrown at chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug524365.js:60 - TypeError: tabState.disallow is undefined
}

NB: There are other "JavaScript strict warning" and "JavaScript error" before, which may (not) be related.
Comment 1 Serge Gautherie (:sgautherie) 2010-02-21 19:51:14 PST
MacOSX too:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1266802005.1266803746.19182.gz
OS X 10.5 comm-central-trunk debug test xpcshell on 2010/02/21 17:26:45
}
Comment 2 Misak Khachatryan 2010-02-24 22:35:35 PST
Created attachment 428878 [details] [diff] [review]
fix
Comment 3 neil@parkwaycc.co.uk 2010-02-25 05:44:18 PST
Comment on attachment 428878 [details] [diff] [review]
fix

[Not sure why you needed to check the number of browser windows for this test.]
Comment 4 Misak Khachatryan 2010-02-25 05:57:46 PST
this is from http://hg.mozilla.org/mozilla-central/rev/5b2432ac3325

It adds some debug info for bug 528776 or our equivalent Bug 548228
Comment 5 Serge Gautherie (:sgautherie) 2010-02-25 06:32:47 PST
(In reply to comment #4)

> this is from http://hg.mozilla.org/mozilla-central/rev/5b2432ac3325

Don't we want to port the change(s) in the other tests too?

> It adds some debug info for bug 528776 or our equivalent Bug 548228

Which reminds me:
could you use/rename (all) our ported Session Restore tests to have the same name as the m-c ones?
It makes searching (bugzilla and mxr) and sync'ing easier.

You could add a comment in our tests if you want to remember in which bug you ported them, though I would think hg history is enough.

Thanks.
Comment 6 Misak Khachatryan 2010-03-04 05:35:48 PST
 
> Don't we want to port the change(s) in the other tests too?
> 

I'm doing it in tests patch (bug 480109).

> 
> Which reminds me:
> could you use/rename (all) our ported Session Restore tests to have the same
> name as the m-c ones?
> It makes searching (bugzilla and mxr) and sync'ing easier.
> 
> You could add a comment in our tests if you want to remember in which bug you
> ported them, though I would think hg history is enough.
> 
> Thanks.

I initially didn't touch tests filenames and bug numbers, but Neil corrects me, so i'm using our bug numbers from that time. Neil's comment will be nice here.
Comment 7 Serge Gautherie (:sgautherie) 2010-03-11 08:29:18 PST
(In reply to comment #6)
> Neil's comment will be nice here.

Neil agreed at last irc SeaMonkey meeting.
Comment 8 Misak Khachatryan 2010-03-12 00:42:30 PST
Created attachment 432096 [details] [diff] [review]
same as above, renamed test files as agreed

same as above, renamed test files as agreed, carrying forward r+ sr+ from Neil, got approval for renaming on meeting over IRC.
Comment 9 Misak Khachatryan 2010-03-12 03:35:52 PST
Created attachment 432116 [details] [diff] [review]
proper patch
[Checkin: Comment 10]

Oops, sorry, forgot to edit Makefile. Here is proper one.

renamed test files as agreed, carrying forward r+ sr+ from Neil,
got approval for renaming on meeting over IRC.
Comment 10 Robert Kaiser 2010-03-12 08:10:03 PST
Pushed as http://hg.mozilla.org/comm-central/rev/b2694d9ceefc - thanks for your work!
Comment 11 Serge Gautherie (:sgautherie) 2010-03-13 06:41:42 PST
V.Fixed per tinderboxes.

*****

(In reply to comment #9)
> renamed test files as agreed

Actually, we need to get rid of the 'bug' part too (or add it to FF files),
otherwise, the situation is better, but mxr searches still find only 1 of the files :-(

Note You need to log in before you can comment on or make changes to this bug.